Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO::RTNodeApp_Configurator Class Reference

This class implements a concrete NodeApp_Configurator for setting up the NodeApplication process for RT support. More...

`#include <RTNodeApp_Configurator.h>`

Inheritance diagram for CIAO::RTNodeApp_Configurator:

[legend]
Collaboration diagram for CIAO::RTNodeApp_Configurator:

[legend]
List of all members.

## Public Member Functions
virtual | ~RTNodeApp_Configurator (void)
| Default destructor.
virtual int | pre_orb_initialize (void)
| "pre_orb_initialize" is called before ORB_init.
virtual int | post_orb_initialize (CORBA::ORB_ptr o)
| "initialize" is called after NodeApplication get a hold at this object.
virtual int | init_resource_manager (const ::Deployment::Properties &properties)
| "init_resource_manager" is called by NodeApplication when it receives an "install" commands.
virtual CORBA::PolicyList * | find_container_policies (const ::Deployment::Properties &properties)
| get a policyset by its name.
## Protected Attributes
CORBA::ORB_var | orb_
RTCORBA::RTORB_var | rtorb_
RTResource_Config_Manager | config_manager_

## Detailed Description

This class implements a concrete NodeApp_Configurator for setting up the NodeApplication process for RT support.

## Constructor & Destructor Documentation

virtual CIAO::RTNodeApp_Configurator::~RTNodeApp_Configurator | ( | void |  | ) | `[inline, virtual]`

| Default destructor.

## Member Function Documentation

CORBA::PolicyList * CIAO::RTNodeApp_Configurator::find_container_policies | ( | const ::Deployment::Properties & | properties | ) | `[virtual]`

| get a policyset by its name. Implements CIAO::NodeApp_Configurator.

int CIAO::RTNodeApp_Configurator::init_resource_manager | ( | const ::Deployment::Properties & | properties | ) | `[virtual]`

| "init_resource_manager" is called by NodeApplication when it receives an "install" commands. Implements CIAO::NodeApp_Configurator.

int CIAO::RTNodeApp_Configurator::post_orb_initialize | ( | CORBA::ORB_ptr | o | ) | `[virtual]`

| "initialize" is called after NodeApplication get a hold at this object. Implements CIAO::NodeApp_Configurator.

int CIAO::RTNodeApp_Configurator::pre_orb_initialize | ( | void |  | ) | `[virtual]`

| "pre_orb_initialize" is called before ORB_init. Implements CIAO::NodeApp_Configurator.

## Member Data Documentation

RTResource_Config_Manager CIAO::RTNodeApp_Configurator::config_manager_`[protected]`

CORBA::ORB_var CIAO::RTNodeApp_Configurator::orb_`[protected]`

RTCORBA::RTORB_var CIAO::RTNodeApp_Configurator::rtorb_`[protected]`

The documentation for this class was generated from the following files:

- RTNodeApp_Configurator.h
- RTNodeApp_Configurator.cpp